#note this package is not prefixable
%define prefix /usr
%define name ctags
%define version 5.0.1
%define release 2mdk
%define url http://prdownloads.sourceforge.net/ctags/

Summary: Generates an index (or "tag") file for objects found in source files. 
Name: %{name}
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.bz2
License: GPL
Group: Editors
BuildRoot: %{_tmppath}/%{name}-%{version}


%description
The ctags program generate an index (or "tag") file for C, C++, Eiffel,
Fortran, and Java language objects found in files.  This tag file allows
these items to be quickly and easily located by a text editor or other
utility.  A "tag" signifies a language object for which an index entry is
available (or, alternatively, the index entry created for that object).

Alternatively, ctags can generate a cross reference file which lists, in
human readable form, information about the various source objects found in
a set of language files.

%prep
%setup -q

%build
%configure
make

%install
%makeinstall

mv $RPM_BUILD_ROOT/%{_bindir}/ctags $RPM_BUILD_ROOT/%{_bindir}/exuberant-ctags
mv $RPM_BUILD_ROOT/%{_mandir}/man1/ctags.1 $RPM_BUILD_ROOT/%{_mandir}/man1/exuberant-ctags.1

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/$RPM_PACKAGE_NAME

%post 
update-alternatives --install %{_bindir}/ctags ctags %{_bindir}/exuberant-ctags 10

%postun 
[ $1 = 0 ] || exit 0
update-alternatives --remove ctags %{_bindir}/exuberant-ctags

%files
%defattr(-,root,root)
%{_bindir}/exuberant-ctags
%{_mandir}/man1/exuberant-ctags.1*

%changelog
* Fri Jul 20 2001 DindinX <odin@mandrakesoft.com> 5.0.1-2mdk
- fix alternative executable name (thanks to Alexander Skwar)

* Fri Jul 20 2001 DindinX <odin@mandrakesoft.com> 5.0.1-1mdk
- 5.0.1
- s/Copyright/License/
- use alternative, so won't conflict with xemacs-extras
  (reported by Alexander Skwar <ASkwar@digitalprojects.com>)

* Wed Oct 18 2000 DindinX <odin@mandrakesoft.com> 4.0.3-1mdk
- 4.0.3
- First release as a standalone package

